alternative status menu: hide hibernate option when hibernate is disabled

Bug #1191181 reported by Jeremy Bicha on 2013-06-14
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Fix Released
Medium
gnome-shell-extensions (Ubuntu)
Undecided
Unassigned
ubuntu-gnome-default-settings (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu 13.10 Alpha with logind and gnome-shell and -extensions 3.8.

Ubuntu has disabled hibernate by default. See the .pkla[1]; sudo pm-hibernate still works though[2].

When I enable the alternative status menu, Hibernate shows up as an option in the user menu. Clicking Hibernate does nothing.

What should happen:
Hibernate should not show up when it has been disabled.

This extension is enabled by default by Debian.

If this isn't fixed, we could use a gsettings override to set
org.gnome.shell.extensions.alternative-status-menu allow-hibernate false

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: gnome-shell-extensions 3.8.2-1
ProcVersionSignature: Ubuntu 3.9.0-5.12-generic 3.9.5
Uname: Linux 3.9.0-5-generic x86_64
ApportVersion: 2.10.2-0ubuntu1
Architecture: amd64
Date: Fri Jun 14 18:18:36 2013
InstallationDate: Installed on 2013-06-14 (0 days ago)
InstallationMedia: Ubuntu-GNOME 13.10 "Saucy Salamander" - Alpha amd64 (20130613)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: gnome-shell-extensions
UpgradeStatus: No upgrade log present (probably fresh install)

Jeremy Bicha (jbicha) wrote :
affects: gnome-shell-extension-applications-menu → gnome-shell
Changed in gnome-shell:
importance: Unknown → Medium
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-gnome-default-settings - 13.10.3

---------------
ubuntu-gnome-default-settings (13.10.3) saucy; urgency=low

  * Copy change from ubuntu-settings to add zeitgiest to gedit's
    default plugins
 -- Jeremy Bicha <email address hidden> Wed, 26 Jun 2013 16:37:12 -0400

Changed in ubuntu-gnome-default-settings (Ubuntu):
status: New → Fix Released
Changed in gnome-shell:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell-extensions - 3.8.3.1-0ubuntu2

---------------
gnome-shell-extensions (3.8.3.1-0ubuntu2) saucy; urgency=low

  * debian/patches/fix-hibernate.patch:
    - Backport patch to fix checking whether hibernate is allowed (LP: #1191181)
  * debian/patches/look-in-data-home-for-themes.patch:
    - Backport commit to also look in XDG_DATA_HOME (usually ~/.local/share/)
      for user themes
  * debian/patches/fix-applications-menu-resolution-change.patch:
    - Backport commit to not break applications menu when screen resolution
      changes
  * debian/patches/fix-places-without-class.patch:
    - Backport patch to handle volumes like MTP that don't have a 'class' ID
 -- Jeremy Bicha <email address hidden> Sun, 21 Jul 2013 16:34:14 -0400

Changed in gnome-shell-extensions (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.